"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855760>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58558a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855800>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58559e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855a80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855b20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855bc0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855c60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855d00>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855da0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855e40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855ee0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5855f80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856020>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58560c0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856160>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856200>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58562a0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856340>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58563e0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856480>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856520>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58565c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856660>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856700>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58567a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856840>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58568e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856980>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856a20>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856ac0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856b60>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856c00>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856ca0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856d40>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856de0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856e80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856f20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5856fc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857060>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857100>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58571a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857240>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58572e0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857380>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857420>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58574c0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857560>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857600>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58576a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857740>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58577e0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857880>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857920>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58579c0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857a60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857b00>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857ba0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857c40>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857ce0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857d80>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857e20>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857ec0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5857f60>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868040>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58680e0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868180>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868220>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58682c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868360>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868400>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58684a0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868540>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58685e0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868680>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868720>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58687c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868860>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868900>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868a40>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd58689a0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868ae0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868b80>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868c20>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f2bd5868cc0>)]
name: str = 'fr_HOCCN'
